| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Modules
NXP LPC11U14 Xpresso board support functions
BOARD: LPC11xx boards

## Detailed Description

## Data Structures
struct | PINMUX_GRP_T

## Modules
| BOARD: NXP LPC11U14 Xpresso board build options

## Macro Definition Documentation

#define BUTTONS_BUTTON1_GPIO_BIT_NUM 16

Definition at line 43 of file board_nxp_xpresso_11u14.c.

#define BUTTONS_BUTTON1_GPIO_PORT_NUM 0

Definition at line 42 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_DOWN_GPIO_BIT_NUM 20

Definition at line 48 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_DOWN_GPIO_PORT_NUM 1

Definition at line 47 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_LEFT_GPIO_BIT_NUM 23

Definition at line 50 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_LEFT_GPIO_PORT_NUM 1

Definition at line 49 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_PRESS_GPIO_BIT_NUM 19

Definition at line 54 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_PRESS_GPIO_PORT_NUM 1

Definition at line 53 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_RIGHT_GPIO_BIT_NUM 21

Definition at line 52 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_RIGHT_GPIO_PORT_NUM 1

Definition at line 51 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_UP_GPIO_BIT_NUM 22

Definition at line 46 of file board_nxp_xpresso_11u14.c.

#define JOYSTICK_UP_GPIO_PORT_NUM 1

Definition at line 45 of file board_nxp_xpresso_11u14.c.

## Function Documentation

void Board_ADC_Init | ( | void |  | ) |

Initialize pin muxing for ADC channel 0.

Sets up board specific ADC interface.

Returns
  Nothing

Definition at line 181 of file board_nxp_xpresso_11u14.c.

void Board_Buttons_Init | ( | void |  | ) |

Initialize buttons on the board.

Initializes board specific buttons.

Initialize button(s) interface on board.

Returns
  Nothing

Definition at line 186 of file board_nxp_xpresso_11u14.c.

void Board_Debug_Init | ( | void |  | ) |

Initializes board UART for output, required for printf redirection.

Returns
  None

Definition at line 108 of file board_nxp_xpresso_11u14.c.

void Board_Init | ( | void |  | ) |

Set up and initialize all required blocks and functions related to the board hardware.

Returns
  None

Definition at line 152 of file board_nxp_xpresso_11u14.c.

void Board_Joystick_Init | ( | void |  | ) |

Initialize Joystick.

Initializes board specific joystick.

Initialize joystick interface on board.

Returns
  Nothing

Definition at line 200 of file board_nxp_xpresso_11u14.c.

static void Board_LED_Init | ( | void |  | ) |
| static

Definition at line 123 of file board_nxp_xpresso_11u14.c.

void Board_LED_Set | ( | uint8_t | LEDNumber,
|  | bool | State
| ) |  |

Sets the state of a board LED to on or off.

Parameters

  LEDNumber | : LED number to set state for
  State | : true for on, false for off

Returns
  None

Definition at line 130 of file board_nxp_xpresso_11u14.c.

bool Board_LED_Test | ( | uint8_t | LEDNumber | ) |

Returns the current state of a board LED.

Parameters

  LEDNumber | : LED number to set state for

Returns
  true if the LED is on, otherwise false

Definition at line 137 of file board_nxp_xpresso_11u14.c.

void Board_SSP_Init | ( | void |  | ) |

Initialize pin muxing for SSP interface.

Returns
  Nothing

Definition at line 167 of file board_nxp_xpresso_11u14.c.

void Board_UART_Init | ( | void |  | ) |

Initialize pin muxing for UART interface.

Returns
  Nothing

Definition at line 71 of file board_nxp_xpresso_11u14.c.

int Board_UARTGetChar | ( | void |  | ) |

Get a single character from the UART, required for scanf input.

Returns
  EOF if not character was received, or character value

Definition at line 87 of file board_nxp_xpresso_11u14.c.

void Board_UARTPutChar | ( | char | ch | ) |

Sends a single character on the UART, required for printf redirection.

Parameters

  ch | : character to send

Returns
  None

Definition at line 77 of file board_nxp_xpresso_11u14.c.

void Board_UARTPutSTR | ( | char * | str | ) |

Prints a string to the UART.

Parameters

  str | : Terminated string to output

Returns
  None

Definition at line 98 of file board_nxp_xpresso_11u14.c.

uint32_t Buttons_GetStatus | ( | void |  | ) |

Get button status.

Returns button(s) state on board.

Returns
  status of button

Definition at line 191 of file board_nxp_xpresso_11u14.c.

uint8_t Joystick_GetStatus | ( | void |  | ) |

Get Joystick status.

Initialize joystick interface on board.

Returns joystick states on board.

Returns
  status of Joystick

Definition at line 214 of file board_nxp_xpresso_11u14.c.

void SystemCoreClockUpdate | ( | void |  | ) |

Update system core clock rate, should be called if the system has a clock rate change.

Returns
  None

Definition at line 144 of file board_nxp_xpresso_11u14.c.

## Variable Documentation

uint32_t SystemCoreClock

Current system clock rate, mainly used for sysTick.

System Core rate (defined in LPC_BOARD library module)

Definition at line 61 of file board_nxp_xpresso_11u14.c.